<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="wizzysprayer">
	<annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <name>
        <en>wizzy sprayer</en>
        <de>wizzy sprayer</de>
    </name>
	<typeDesc>Wizzy Sprayer</typeDesc>
    <filename>wizzysprayer.i3d</filename>

    <size width="4.0" length="2.0" />

    <cuttingAreas count="3">
        <cuttingArea1 startIndex="0" widthIndex="1" heightIndex="2"/>
        <cuttingArea2 startIndex="6|1" widthIndex="6|2" heightIndex="6|3"/>
        <cuttingArea3 startIndex="7|1" widthIndex="7|2" heightIndex="7|3"/>
    </cuttingAreas>

    <attacherJoint index="3" jointType="implement" topReferenceNode="4"/>

    <needsLowering value="false" />

    <foldingParts startMoveDirection="1">
        <foldingPart componentJointIndex="0" anchorActor="0" animationClip="foldRightClipSource" rootNode="6" speedScale="0.5" />
        <foldingPart componentJointIndex="1" anchorActor="0" animationClip="foldLeftClipSource" rootNode="7" speedScale="0.5" />
    </foldingParts>
    
    
    <sprayUsages>
        <sprayUsage fillType="fertilizer" litersPerSecond="2.33" />
    </sprayUsages>

    <fillTypes fillTypes="fertilizer"/>
    <capacity>800</capacity>
    <startFillLevel>0</startFillLevel>
	<fillLitersPerSecond>50</fillLitersPerSecond>

    <spraySoundWizzy file="$data/vehicles/tools/sprayer.wav" pitchOffset="1" volume="1"/>

    <sprayParticleSystemWizzy file="$data/vehicles/particleSystems/sprayParticleSystem.i3d" />
   
   <sprayValvesWizzy>
        <sprayValveWizzy index="0>6|4|0" />
        <sprayValveWizzy index="0>6|4|1" />
        <sprayValveWizzy index="0>6|4|2" />
        <sprayValveWizzy index="0>6|4|3" />
        <sprayValveWizzy index="0>6|4|4" />
        <sprayValveWizzy index="0>6|4|5" />		
        <sprayValveWizzy index="0>6|4|6" />	
        <sprayValveWizzy index="0>6|4|7" />	
        <sprayValveWizzy index="0>7|4|0" />
        <sprayValveWizzy index="0>7|4|1" />
        <sprayValveWizzy index="0>7|4|2" />
        <sprayValveWizzy index="0>7|4|3" />
        <sprayValveWizzy index="0>7|4|4" />
        <sprayValveWizzy index="0>7|4|5" />		
        <sprayValveWizzy index="0>7|4|6" />	
        <sprayValveWizzy index="0>7|4|7" />
        <sprayValveWizzy index="0>8|0" />
        <sprayValveWizzy index="0>8|1" />
        <sprayValveWizzy index="0>8|2" />
        <sprayValveWizzy index="0>8|3" />
        <sprayValveWizzy index="0>8|4" />
        <sprayValveWizzy index="0>8|5" />		
        <sprayValveWizzy index="0>8|6" />	
        <sprayValveWizzy index="0>8|7" />	
    </sprayValvesWizzy>
	
	<powerShaft deattached="9|0" attached="9|1" index="9|1|0" part="9|1|0|0" fixPoint="9|1|0|0|0" />	
	
	<components count="3">
        <component1 centerOfMass="0 0 0.2" solverIterationCount="15" />
        <component2 centerOfMass="0 0 0" solverIterationCount="15" />
        <component3 centerOfMass="0 0 0" solverIterationCount="15" />
        <joint component1="0" component2="1" index="0>6|0" rotLimit="0 0 0" transLimit="0 0 0" />
        <joint component1="0" component2="2" index="0>7|0" rotLimit="0 0 0" transLimit="0 0 0" />
    </components>

</vehicle>
